홈 > 고객/기술지원 > 기술지원자료
Exynos8895 | Exynos8890 | Exynos7420 | Exynos5422 | Exynos5260 | Exynos5410 | Exynos4412 | S5PV310 | S5PV210 | S5PC110 | S5PC100 | S3C6410 | S3C2450 | iMX6Q | AM3358
 


::: iMAX6Q 보드 Q & A :::

1. Java version 변경 방법
2. Fastboot and ADB Driver
3. make menuconfig 에러



::: 1. Java version 변경 방법 :::

아래 환경은 JDK1.6이 설치되어 있는 사항에서 진행된 내용입니다 .


1. openjdk-7 설치

$ sudo apt-get install openjdk-7-jdk


2. 사용할 java version 선택

$ sudo update-alternatives --config java
sudo: unable to resolve host ubuntu
There are 2 choices for the alternative java (providing /usr/bin/java).


Selection Path Priority Status
------------------------------------------------------------
0 /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java 1071 auto mode
* 1 /opt/jdk/jdk1.6.0_45/bin/java 1 manual mode
2 /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/java 1071 manual mode


Press enter to keep the current choice[*], or type selection number:
번호를 선택하여 사용할 version으로 변경 . 위와 동일한 방법으로 아래 사항도 변경
$ sudo update-alternatives --config javac
$ sudo update-alternatives --config javaws


3. java 버전 확인

$ java -version
java version "1.7.0_79"
OpenJDK Runtime Environment (IcedTea 2.5.6) (7u79-2.5.6-0ubuntu1.14.04.1)
OpenJDK 64-Bit Server VM (build 24.79-b02, mixed mode)

Java version을 변경하신 후에 컴파일을 진행하여 이상 유 /무를 확인 하시길 바랍니다.




::: 2. Fastboot and ADB Driver :::

아래 명령어를 실해하여 자료를 다운로드 합니다.
$ wget http://dl.google.com/android/android-sdk_r20-linux.tgz


아래 방법을 참고하여 적용하시길 바랍니다.
$ mv android-sdk_r20-linux.tgz /home/YOURNAME/bin/
$ cd /home/YOURNAME/bin/
$ tar –xf android-sdk_r20-linux.tgz android-sdk_r20-linux
$ cd android-sdk_r20-linux


SDK에 있는 “README.txt”문서를 참고하여 platform-tools를 다운로드

tools 과 platform-tools 폴더
$ cd /home/YOURNAME/
$ vi .bashrc
export PATH=${PATH}:/home/YOURNAME/bin/android-sdk_r20-linux/tools
export PATH=${PATH}:/home/YOURNAME/bin/android-sdk_r20-linux/platform-tools
$ source .bashrc



::: 3. make menuconfig :::


# make menuconfig
 *** Unable to find the ncurses libraries or the
 *** required header files.
 *** 'make menuconfig' requires the ncurses libraries.
 ***
 *** Install ncurses (ncurses-devel) and try again.
 ***

make[1]: *** [scripts/kconfig/dochecklxdialog] 오류 1
make: *** [menuconfig] 오류 2
#


Kernel에서를 새롭게 모듈을 적용하기 위하여 ”make menuconfig”를 실행할 때 위와 같이
에러가 발생한 경우는 “ncurses”커서제어 라이브러리가 없기 때문에 문제가 발생한 것이다.

아래 명령어를 실행하여” libncurses-dev”를 설치한 후에 다시 “ make menuconfig”를
실행하면 된다 .

#sudo apt-get install libncurses5-dev

 
    61 / 1,661,344
서울특별시 구로구 구로3동 235번지 한신IT타워 1004호 TEL. 02-3283-0101 FAX. 02-3283-0160
사업자등록번호 : 116-81-51889 대표자 : 이현재 E-MAIL : sale@microvision.co.kr
COPYRIGHT 2004 (주)마이크로비젼 ALL RIGHTS RESERVED.
%3Cul+class%3D%22Klocation%22%3E%3Cli+class%3D%22first%22%3E%3Ca+href%3D%22..%2Fhome%2F%22%3EHOME%3C%2Fa%3E%3C%2Fli%3E%3Cli%3E%3Ca+href%3D%22..%2Fhome%2Fsub03.php%22%3E%EA%B3%A0%EA%B0%9D%2F%EA%B8%B0%EC%88%A0%EC%A7%80%EC%9B%90%3C%2Fa%3E%3C%2Fli%3E%3Cli%3E%3Ca+href%3D%22..%2Fhome%2Fsub03.php%3Fmid%3D52%22%3E%EA%B8%B0%EC%88%A0%EC%A7%80%EC%9B%90%EC%9E%90%EB%A3%8C%3C%2Fa%3E%3C%2Fli%3E%3C%2Ful%3E